Index: binaries/data/mods/public/gui/summary/summary.js
===================================================================
--- binaries/data/mods/public/gui/summary/summary.js	(Revision 14461)
+++ binaries/data/mods/public/gui/summary/summary.js	(Arbeitskopie)
@@ -14,22 +14,22 @@
 	{
 		if (i != panelNumber)
 		{
-			getGUIObjectByName(panelNames[i]).hidden = true;
-			getGUIObjectByName(panelButtonNames[i]).sprite = "BackgroundTab";
+			Engine.GetGUIObjectByName(panelNames[i]).hidden = true;
+			Engine.GetGUIObjectByName(panelButtonNames[i]).sprite = "BackgroundTab";
 		}
 		else
 		{
-			getGUIObjectByName(panelNames[i]).hidden = false;
-			getGUIObjectByName(panelButtonNames[i]).sprite = "ForegroundTab";
-			adjustTabDividers(getGUIObjectByName(panelButtonNames[i]).size);
+			Engine.GetGUIObjectByName(panelNames[i]).hidden = false;
+			Engine.GetGUIObjectByName(panelButtonNames[i]).sprite = "ForegroundTab";
+			adjustTabDividers(Engine.GetGUIObjectByName(panelButtonNames[i]).size);
 		}
 	}
 }
 
 function adjustTabDividers(tabSize)
 {
-	var leftSpacer = getGUIObjectByName("tabDividerLeft");
-	var rightSpacer = getGUIObjectByName("tabDividerRight");
+	var leftSpacer = Engine.GetGUIObjectByName("tabDividerLeft");
+	var rightSpacer = Engine.GetGUIObjectByName("tabDividerRight");
 	leftSpacer.size = "20 " + leftSpacer.size.top + " " + (tabSize.left + 2) + " " + leftSpacer.size.bottom;
 	rightSpacer.size = (tabSize.right - 2) + " " + rightSpacer.size.top + " 100%-20 " + rightSpacer.size.bottom;
 }
@@ -39,9 +39,9 @@
 	var civData = loadCivData();
 	var mapSize = "Scenario";
 
-	getGUIObjectByName("timeElapsed").caption = "Time elapsed: " + timeToString(data.timeElapsed);
+	Engine.GetGUIObjectByName("timeElapsed").caption = "Time elapsed: " + timeToString(data.timeElapsed);
 
-	getGUIObjectByName("summaryText").caption = data.gameResult;
+	Engine.GetGUIObjectByName("summaryText").caption = data.gameResult;
 
 	// This is only defined for random maps
 	if (data.mapSettings.Size)
@@ -60,7 +60,7 @@
 		}
 	}
 
-	getGUIObjectByName("mapName").caption = data.mapSettings.Name + " - " + mapSize;
+	Engine.GetGUIObjectByName("mapName").caption = data.mapSettings.Name + " - " + mapSize;
 
 	// Space player boxes
 	var boxSpacing = 32;
@@ -68,7 +68,7 @@
 	{
 		for (var j = 0; j < MAX_SLOTS; ++j)
 		{
-			var box = getGUIObjectByName("playerBox"+i+"["+j+"]");
+			var box = Engine.GetGUIObjectByName("playerBox"+i+"["+j+"]");
 			var boxSize = box.size;
 			var h = boxSize.bottom - boxSize.top;
 			boxSize.top = j * boxSpacing;
@@ -86,46 +86,46 @@
 	var playerNameHeadingWidth = 200;
 	// Special cased to make the (Sent / Received) part fit
 	var tributesWidth = 121;
-	getGUIObjectByName("playerName0Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
-	getGUIObjectByName("economyScoreHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("militaryScoreHeading").size = left +  " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("explorationScoreHeading").size = left +  " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("totalScoreHeading").size = left +  " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("playerName0Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
+	Engine.GetGUIObjectByName("economyScoreHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("militaryScoreHeading").size = left +  " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("explorationScoreHeading").size = left +  " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("totalScoreHeading").size = left +  " 16 " + (left + width) + " 100%"; left += width;
 	
 	left = 50;
-	getGUIObjectByName("playerName1Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
-	getGUIObjectByName("unitsTrainedHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("unitsLostHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("enemyUnitsKilledHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("buildingsConstructedHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("buildingsLostHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("enemyBuildingsDestroyedHeading").size = left + " 6 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("playerName1Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
+	Engine.GetGUIObjectByName("unitsTrainedHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("unitsLostHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("enemyUnitsKilledHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("buildingsConstructedHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("buildingsLostHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("enemyBuildingsDestroyedHeading").size = left + " 6 " + (left + width) + " 100%"; left += width;
 
 	left = 50;
-	getGUIObjectByName("playerName2Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
-	getGUIObjectByName("civCentresBuiltHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("enemyCivCentresDestroyedHeading").size = left +  " 6 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("mapExplorationHeading").size = left +  " 6 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("playerName2Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
+	Engine.GetGUIObjectByName("civCentresBuiltHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("enemyCivCentresDestroyedHeading").size = left +  " 6 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("mapExplorationHeading").size = left +  " 6 " + (left + width) + " 100%"; left += width;
 
 	left = 50;
-	getGUIObjectByName("playerName3Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
-	getGUIObjectByName("resourceHeading").size = left + " 16 " + (left + width * 4) + " 100%";
-	getGUIObjectByName("foodGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("woodGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("stoneGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("metalGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("vegetarianRatioHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("treasuresCollectedHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("resourcesTributedHeading").size = left + " 16 " + (left + tributesWidth) + " 100%"; left += tributesWidth;
+	Engine.GetGUIObjectByName("playerName3Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
+	Engine.GetGUIObjectByName("resourceHeading").size = left + " 16 " + (left + width * 4) + " 100%";
+	Engine.GetGUIObjectByName("foodGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("woodGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("stoneGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("metalGatheredHeading").size = left + " 34 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("vegetarianRatioHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("treasuresCollectedHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("resourcesTributedHeading").size = left + " 16 " + (left + tributesWidth) + " 100%"; left += tributesWidth;
 
 	left = 50;
-	getGUIObjectByName("playerName4Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
-	getGUIObjectByName("exchangedFoodHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("exchangedWoodHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("exchangedStoneHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("exchangedMetalHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("barterEfficiencyHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
-	getGUIObjectByName("tradeIncomeHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("playerName4Heading").size = left + " 26 " + (left + playerNameHeadingWidth) + " 100%"; left += playerNameHeadingWidth;
+	Engine.GetGUIObjectByName("exchangedFoodHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("exchangedWoodHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("exchangedStoneHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("exchangedMetalHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("barterEfficiencyHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
+	Engine.GetGUIObjectByName("tradeIncomeHeading").size = left + " 16 " + (left + width) + " 100%"; left += width;
 
 	// Show counters
 	for (var i = 0; i < MAX_SLOTS; ++i)
@@ -136,7 +136,7 @@
 
 			for (var k = 0; k < panelNames.length; ++k)
 			{
-				var playerBox = getGUIObjectByName("playerBox"+k+"["+i+"]");
+				var playerBox = Engine.GetGUIObjectByName("playerBox"+k+"["+i+"]");
 				playerBox.hidden = false;
 
 				var colourString = "colour: "
@@ -144,48 +144,48 @@
 					+ Math.floor(playerState.colour.g * 255) + " "
 					+ Math.floor(playerState.colour.b * 255);
 				playerBox.sprite = colourString + " 32";
-				var playerColourBox = getGUIObjectByName("playerColourBox"+k+"["+i+"]");
+				var playerColourBox = Engine.GetGUIObjectByName("playerColourBox"+k+"["+i+"]");
 				playerColourBox.sprite = colourString + " 255";
 
 				// Show the multiplayer name, e.g. "Foobar" rather than "Player 1".
 				// TODO: Perhaps show both the multiplayer and map-specific name?
-				var playerName = getGUIObjectByName("playerName"+k+"["+i+"]");
+				var playerName = Engine.GetGUIObjectByName("playerName"+k+"["+i+"]");
 				playerName.caption = data.players[i+1].name;
 
-				getGUIObjectByName("civIcon"+k+"["+i+"]").sprite = "stretched:"+civData[playerState.civ].Emblem;
-				getGUIObjectByName("civIcon"+k+"["+i+"]").tooltip = civData[playerState.civ].Name;
+				Engine.GetGUIObjectByName("civIcon"+k+"["+i+"]").sprite = "stretched:"+civData[playerState.civ].Emblem;
+				Engine.GetGUIObjectByName("civIcon"+k+"["+i+"]").tooltip = civData[playerState.civ].Name;
 			}
 
-			var economyScore = getGUIObjectByName("economyScore["+i+"]");
-			var militaryScore = getGUIObjectByName("militaryScore["+i+"]");
-			var explorationScore = getGUIObjectByName("explorationScore["+i+"]");
-			var totalScore = getGUIObjectByName("totalScore["+i+"]");
+			var economyScore = Engine.GetGUIObjectByName("economyScore["+i+"]");
+			var militaryScore = Engine.GetGUIObjectByName("militaryScore["+i+"]");
+			var explorationScore = Engine.GetGUIObjectByName("explorationScore["+i+"]");
+			var totalScore = Engine.GetGUIObjectByName("totalScore["+i+"]");
 
-			var unitsTrained = getGUIObjectByName("unitsTrained["+i+"]");
-			var unitsLost = getGUIObjectByName("unitsLost["+i+"]");
-			var enemyUnitsKilled = getGUIObjectByName("enemyUnitsKilled["+i+"]");
-			var buildingsConstructed = getGUIObjectByName("buildingsConstructed["+i+"]");
-			var buildingsLost = getGUIObjectByName("buildingsLost["+i+"]");
-			var enemyBuildingsDestroyed = getGUIObjectByName("enemyBuildingsDestroyed["+i+"]");
+			var unitsTrained = Engine.GetGUIObjectByName("unitsTrained["+i+"]");
+			var unitsLost = Engine.GetGUIObjectByName("unitsLost["+i+"]");
+			var enemyUnitsKilled = Engine.GetGUIObjectByName("enemyUnitsKilled["+i+"]");
+			var buildingsConstructed = Engine.GetGUIObjectByName("buildingsConstructed["+i+"]");
+			var buildingsLost = Engine.GetGUIObjectByName("buildingsLost["+i+"]");
+			var enemyBuildingsDestroyed = Engine.GetGUIObjectByName("enemyBuildingsDestroyed["+i+"]");
 
-			var civCentresBuilt = getGUIObjectByName("civCentresBuilt["+i+"]");
-			var enemyCivCentresDestroyed = getGUIObjectByName("enemyCivCentresDestroyed["+i+"]");
-			var mapExploration = getGUIObjectByName("mapExploration["+i+"]");
+			var civCentresBuilt = Engine.GetGUIObjectByName("civCentresBuilt["+i+"]");
+			var enemyCivCentresDestroyed = Engine.GetGUIObjectByName("enemyCivCentresDestroyed["+i+"]");
+			var mapExploration = Engine.GetGUIObjectByName("mapExploration["+i+"]");
 
-			var foodGathered = getGUIObjectByName("foodGathered["+i+"]");
-			var woodGathered = getGUIObjectByName("woodGathered["+i+"]");
-			var stoneGathered = getGUIObjectByName("stoneGathered["+i+"]");
-			var metalGathered = getGUIObjectByName("metalGathered["+i+"]");
-			var vegetarianRatio = getGUIObjectByName("vegetarianRatio["+i+"]");
-			var treasuresCollected = getGUIObjectByName("treasuresCollected["+i+"]");
-			var resourcesTributed = getGUIObjectByName("resourcesTributed["+i+"]");
+			var foodGathered = Engine.GetGUIObjectByName("foodGathered["+i+"]");
+			var woodGathered = Engine.GetGUIObjectByName("woodGathered["+i+"]");
+			var stoneGathered = Engine.GetGUIObjectByName("stoneGathered["+i+"]");
+			var metalGathered = Engine.GetGUIObjectByName("metalGathered["+i+"]");
+			var vegetarianRatio = Engine.GetGUIObjectByName("vegetarianRatio["+i+"]");
+			var treasuresCollected = Engine.GetGUIObjectByName("treasuresCollected["+i+"]");
+			var resourcesTributed = Engine.GetGUIObjectByName("resourcesTributed["+i+"]");
 
-			var exchangedFood = getGUIObjectByName("exchangedFood["+i+"]");
-			var exchangedWood = getGUIObjectByName("exchangedWood["+i+"]");
-			var exchangedStone = getGUIObjectByName("exchangedStone["+i+"]");
-			var exchangedMetal = getGUIObjectByName("exchangedMetal["+i+"]");
-			var barterEfficiency = getGUIObjectByName("barterEfficiency["+i+"]");
-			var tradeIncome = getGUIObjectByName("tradeIncome["+i+"]");
+			var exchangedFood = Engine.GetGUIObjectByName("exchangedFood["+i+"]");
+			var exchangedWood = Engine.GetGUIObjectByName("exchangedWood["+i+"]");
+			var exchangedStone = Engine.GetGUIObjectByName("exchangedStone["+i+"]");
+			var exchangedMetal = Engine.GetGUIObjectByName("exchangedMetal["+i+"]");
+			var barterEfficiency = Engine.GetGUIObjectByName("barterEfficiency["+i+"]");
+			var tradeIncome = Engine.GetGUIObjectByName("tradeIncome["+i+"]");
 
 			// align counters
 
@@ -195,9 +195,9 @@
 			militaryScore.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			explorationScore.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			totalScore.size = left + " 2 " + (left + width) + " 100%"; left += width;
-			var size = getGUIObjectByName("playerBox0["+i+"]").size;
+			var size = Engine.GetGUIObjectByName("playerBox0["+i+"]").size;
 			size.right = left + 10;
-			getGUIObjectByName("playerBox0["+i+"]").size = size;
+			Engine.GetGUIObjectByName("playerBox0["+i+"]").size = size;
 			
 			left = 240;
 			unitsTrained.size = left + " 2 " + (left + width) + " 100%"; left += width;
@@ -206,17 +206,17 @@
 			buildingsConstructed.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			buildingsLost.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			enemyBuildingsDestroyed.size = left + " 2 " + (left + width) + " 100%"; left += width;
-			size = getGUIObjectByName("playerBox1["+i+"]").size;
+			size = Engine.GetGUIObjectByName("playerBox1["+i+"]").size;
 			size.right = left + 10;
-			getGUIObjectByName("playerBox1["+i+"]").size = size;
+			Engine.GetGUIObjectByName("playerBox1["+i+"]").size = size;
 
 			left = 240;
 			civCentresBuilt.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			enemyCivCentresDestroyed.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			mapExploration.size = left + " 2 " + (left + width) + " 100%"; left += width;
-			size = getGUIObjectByName("playerBox2["+i+"]").size;
+			size = Engine.GetGUIObjectByName("playerBox2["+i+"]").size;
 			size.right = left + 10;
-			getGUIObjectByName("playerBox2["+i+"]").size = size;
+			Engine.GetGUIObjectByName("playerBox2["+i+"]").size = size;
 
 			left = 240;
 			foodGathered.size = left + " 2 " + (left + width) + " 100%"; left += width;
@@ -226,9 +226,9 @@
 			vegetarianRatio.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			treasuresCollected.size	= left + " 2 " + (left + width) + " 100%"; left += width;
 			resourcesTributed.size = left + " 2 " + (left + tributesWidth) + " 100%"; left += tributesWidth;
-			size = getGUIObjectByName("playerBox3["+i+"]").size;
+			size = Engine.GetGUIObjectByName("playerBox3["+i+"]").size;
 			size.right = left + 10;
-			getGUIObjectByName("playerBox3["+i+"]").size = size;
+			Engine.GetGUIObjectByName("playerBox3["+i+"]").size = size;
 
 			left = 240;
 			exchangedFood.size = left + " 2 " + (left + width) + " 100%"; left += width;
@@ -237,9 +237,9 @@
 			exchangedMetal.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			barterEfficiency.size = left + " 2 " + (left + width) + " 100%"; left += width;
 			tradeIncome.size = left + " 2 " + (left + width) + " 100%"; left += width;
-			size = getGUIObjectByName("playerBox4["+i+"]").size;
+			size = Engine.GetGUIObjectByName("playerBox4["+i+"]").size;
 			size.right = left + 10;
-			getGUIObjectByName("playerBox4["+i+"]").size = size;
+			Engine.GetGUIObjectByName("playerBox4["+i+"]").size = size;
 
 			// display counters
 			economyScore.caption = Math.round((playerState.statistics.resourcesGathered.food + playerState.statistics.resourcesGathered.wood + 
@@ -297,7 +297,7 @@
 			// hide player boxes
 			for (var k = 0; k < panelNames.length; ++k)
 			{
-				var playerBox = getGUIObjectByName("playerBox"+k+"["+i+"]");
+				var playerBox = Engine.GetGUIObjectByName("playerBox"+k+"["+i+"]");
 				playerBox.hidden = true;
 			}
 		}
Index: binaries/data/mods/public/gui/manual/manual.js
===================================================================
--- binaries/data/mods/public/gui/manual/manual.js	(Revision 14461)
+++ binaries/data/mods/public/gui/manual/manual.js	(Arbeitskopie)
@@ -2,7 +2,7 @@
 
 function init(data)
 {
-	getGUIObjectByName("mainText").caption = readFile("gui/manual/" + data.page + ".txt");
+	Engine.GetGUIObjectByName("mainText").caption = Engine.ReadFile("gui/manual/" + data.page + ".txt");
 	closeCallback = data.closeCallback;
 }
 
Index: binaries/data/mods/public/gui/savedgames/save.js
===================================================================
--- binaries/data/mods/public/gui/savedgames/save.js	(Revision 14461)
+++ binaries/data/mods/public/gui/savedgames/save.js	(Arbeitskopie)
@@ -5,12 +5,12 @@
 
 function selectDescription()
 {
-	var gameSelection = getGUIObjectByName("gameSelection");
+	var gameSelection = Engine.GetGUIObjectByName("gameSelection");
 	if (gameSelection.selected != -1)
 	{
-		getGUIObjectByName("deleteGameButton").enabled = true;
+		Engine.GetGUIObjectByName("deleteGameButton").enabled = true;
 		var gameID = gameSelection.list_data[gameSelection.selected];
-		getGUIObjectByName("saveGameDesc").caption = g_Descriptions[gameID];
+		Engine.GetGUIObjectByName("saveGameDesc").caption = g_Descriptions[gameID];
 	}
 }
 
@@ -24,8 +24,8 @@
 			gameDataCallback = data.gameDataCallback;
 	}
 
-	var gameSelection = getGUIObjectByName("gameSelection");
-	getGUIObjectByName("deleteGameButton").enabled = false;
+	var gameSelection = Engine.GetGUIObjectByName("gameSelection");
+	Engine.GetGUIObjectByName("deleteGameButton").enabled = false;
 
 	var savedGames = Engine.GetSavedGames();
 	if (savedGames.length == 0)
@@ -50,10 +50,10 @@
 
 function saveGame()
 {
-	var gameSelection = getGUIObjectByName("gameSelection");
+	var gameSelection = Engine.GetGUIObjectByName("gameSelection");
 	var gameLabel = gameSelection.list[gameSelection.selected];
 	var gameID = gameSelection.list_data[gameSelection.selected];
-	var desc = getGUIObjectByName("saveGameDesc").caption;
+	var desc = Engine.GetGUIObjectByName("saveGameDesc").caption;
 	var name = gameID ? gameID : "savegame";
 
 	if (gameSelection.selected != -1)
@@ -86,7 +86,7 @@
 
 function deleteGame()
 {
-	var gameSelection = getGUIObjectByName("gameSelection");
+	var gameSelection = Engine.GetGUIObjectByName("gameSelection");
 	var gameLabel = gameSelection.list[gameSelection.selected];
 	var gameID = gameSelection.list_data[gameSelection.selected];
 
Index: binaries/data/mods/public/gui/savedgames/load.js
===================================================================
--- binaries/data/mods/public/gui/savedgames/load.js	(Revision 14461)
+++ binaries/data/mods/public/gui/savedgames/load.js	(Arbeitskopie)
@@ -1,14 +1,14 @@
 function init()
 {
-	var gameSelection = getGUIObjectByName("gameSelection");
+	var gameSelection = Engine.GetGUIObjectByName("gameSelection");
 
 	var savedGames = Engine.GetSavedGames();
 	if (savedGames.length == 0)
 	{
 		gameSelection.list = [ "No saved games found" ];
 		gameSelection.selected = 0;
-		getGUIObjectByName("loadGameButton").enabled = false;
-		getGUIObjectByName("deleteGameButton").enabled = false;
+		Engine.GetGUIObjectByName("loadGameButton").enabled = false;
+		Engine.GetGUIObjectByName("deleteGameButton").enabled = false;
 		return;
 	}
 
@@ -24,7 +24,7 @@
 
 function loadGame()
 {
-	var gameSelection = getGUIObjectByName("gameSelection");
+	var gameSelection = Engine.GetGUIObjectByName("gameSelection");
 	var gameID = gameSelection.list_data[gameSelection.selected];
 
 	var metadata = Engine.StartSavedGame(gameID);
@@ -48,7 +48,7 @@
 
 function deleteGame()
 {
-	var gameSelection = getGUIObjectByName("gameSelection");
+	var gameSelection = Engine.GetGUIObjectByName("gameSelection");
 	var gameLabel = gameSelection.list[gameSelection.selected];
 	var gameID = gameSelection.list_data[gameSelection.selected];
 
Index: binaries/data/mods/public/gui/civinfo/civinfo.js
===================================================================
--- binaries/data/mods/public/gui/civinfo/civinfo.js	(Revision 14461)
+++ binaries/data/mods/public/gui/civinfo/civinfo.js	(Arbeitskopie)
@@ -44,7 +44,7 @@
 	var civListCodes = [ civ.code for each (civ in civList) ];
 
 	// Set civ control
-	var civSelection = getGUIObjectByName("civSelection");
+	var civSelection = Engine.GetGUIObjectByName("civSelection");
 	civSelection.list = civListNames;
 	civSelection.list_data = civListCodes;
 	civSelection.selected = 0;
@@ -85,7 +85,7 @@
 		error("Error loading civ data for \""+code+"\"");
 
 	// Update civ gameplay display
-	getGUIObjectByName("civGameplayHeading").caption = heading(civInfo.Name+" Gameplay", 16);
+	Engine.GetGUIObjectByName("civGameplayHeading").caption = heading(civInfo.Name+" Gameplay", 16);
 
 
 	// Bonuses
@@ -105,7 +105,7 @@
                     + civInfo.TeamBonuses[i].History + '" tooltip_style="civInfoTooltip"]\n     ' + civInfo.TeamBonuses[i].Description + '\n[/color]';
 	}
 	
-	getGUIObjectByName("civBonuses").caption = bonusCaption;
+	Engine.GetGUIObjectByName("civBonuses").caption = bonusCaption;
 
 
 	// Special techs / buildings
@@ -129,7 +129,7 @@
                     + civInfo.Structures[i].History + '" tooltip_style="civInfoTooltip"]\n';
 	}
 	
-	getGUIObjectByName("civTechs").caption = techCaption;
+	Engine.GetGUIObjectByName("civTechs").caption = techCaption;
 
 
 	// Heroes
@@ -146,10 +146,10 @@
 		heroCaption += '\n';
 	}
 	
-	getGUIObjectByName("civHeroes").caption = heroCaption;
+	Engine.GetGUIObjectByName("civHeroes").caption = heroCaption;
 
 
 	// Update civ history display
-	getGUIObjectByName("civHistoryHeading").caption = heading("History of the " + civInfo.Name, 16);
-	getGUIObjectByName("civHistoryText").caption = civInfo.History;
+	Engine.GetGUIObjectByName("civHistoryHeading").caption = heading("History of the " + civInfo.Name, 16);
+	Engine.GetGUIObjectByName("civHistoryText").caption = civInfo.History;
 }
Index: binaries/data/mods/public/gui/aiconfig/aiconfig.js
===================================================================
--- binaries/data/mods/public/gui/aiconfig/aiconfig.js	(Revision 14461)
+++ binaries/data/mods/public/gui/aiconfig/aiconfig.js	(Arbeitskopie)
@@ -9,7 +9,7 @@
 		{id: "", data: {name: "None", description: "AI will be disabled for this player."}}
 	].concat(settings.ais);
 
-	var aiSelection = getGUIObjectByName("aiSelection");
+	var aiSelection = Engine.GetGUIObjectByName("aiSelection");
 	aiSelection.list = [ ai.data.name for each (ai in g_AIs) ];
 
 	var selected = 0;
@@ -23,7 +23,7 @@
 	}
 	aiSelection.selected = selected;
 	
-	var aiDiff = getGUIObjectByName("aiDifficulty");
+	var aiDiff = Engine.GetGUIObjectByName("aiDifficulty");
 	aiDiff.list = [ "Sandbox", "Easy", "Medium", "Hard", "Very Hard" ];
 	aiDiff.selected = settings.difficulty;
 }
@@ -34,17 +34,17 @@
 	var name = g_AIs[idx].data.name;
 	var description = g_AIs[idx].data.description;
 
-	getGUIObjectByName("aiDescription").caption = description;
+	Engine.GetGUIObjectByName("aiDescription").caption = description;
 }
 
 function returnAI()
 {
-	var aiSelection = getGUIObjectByName("aiSelection");
+	var aiSelection = Engine.GetGUIObjectByName("aiSelection");
 	var idx = aiSelection.selected;
 	var id = g_AIs[idx].id;
 	var name = g_AIs[idx].data.name;
 
-	var difficulty = getGUIObjectByName("aiDifficulty").selected;
+	var difficulty = Engine.GetGUIObjectByName("aiDifficulty").selected;
 	
 	// Pop the page before calling the callback, so the callback runs
 	// in the parent GUI page's context
Index: binaries/data/mods/public/gui/common/functions_civinfo.js
===================================================================
--- binaries/data/mods/public/gui/common/functions_civinfo.js	(Revision 14461)
+++ binaries/data/mods/public/gui/common/functions_civinfo.js	(Arbeitskopie)
@@ -9,7 +9,7 @@
 function loadCivData()
 {	// Load all JSON files containing civ data
 	var civData = {};
-	var civFiles = buildDirEntList("civs/", "*.json", false);
+	var civFiles = Engine.BuildDirEntList("civs/", "*.json", false);
 	
 	for each (var filename in civFiles)
 	{	// Parse data if valid file
Index: binaries/data/mods/public/gui/common/functions_utility_music.js
===================================================================
--- binaries/data/mods/public/gui/common/functions_utility_music.js	(Revision 14461)
+++ binaries/data/mods/public/gui/common/functions_utility_music.js	(Arbeitskopie)
@@ -50,7 +50,7 @@
 	// Get names of sounds (attack, command, select, hit, pain).
 	// or
 	// Get names of "peace", "menu" (theme) and "battle" tracks.
-	var soundArray = buildDirEntList(randomSoundPath, "*" + soundSubType + "*", false);
+	var soundArray = Engine.BuildDirEntList(randomSoundPath, "*" + soundSubType + "*", false);
 	if (soundArray.length == 0)
 	{
 		Engine.Console_Write ("Failed to find sounds matching '*"+soundSubType+"*'");
Index: binaries/data/mods/public/gui/common/functions_utility_error.js
===================================================================
--- binaries/data/mods/public/gui/common/functions_utility_error.js	(Revision 14461)
+++ binaries/data/mods/public/gui/common/functions_utility_error.js	(Arbeitskopie)
@@ -7,7 +7,7 @@
 function cancelOnError(msg)
 {
 	// Delete game objects
-	endGame();
+	Engine.EndGame();
 	
 	// Return to pregame
 	Engine.SwitchGuiPage("page_pregame.xml");
@@ -25,5 +25,5 @@
 	}
 	
 	// Reset cursor
-	setCursor("arrow-default");
+	Engine.SetCursor("arrow-default");
 }
